GDAL

Public Attributes | List of all members
GDALGridInverseDistanceToAPowerNearestNeighborOptions Struct Reference

Inverse distance to a power, with nearest neighbour search, control options. More...

`#include <gdal_alg.h>`

## Public Attributes
size_t | nSizeOfStructure
double | dfPower
double | dfRadius
double | dfSmoothing
GUInt32 | nMaxPoints
GUInt32 | nMinPoints
double | dfNoDataValue
GUInt32 | nMaxPointsPerQuadrant
GUInt32 | nMinPointsPerQuadrant

## Detailed Description

Inverse distance to a power, with nearest neighbour search, control options.

## Member Data Documentation

## ◆ dfNoDataValue

double GDALGridInverseDistanceToAPowerNearestNeighborOptions::dfNoDataValue

No data marker to fill empty points.

## ◆ dfPower

double GDALGridInverseDistanceToAPowerNearestNeighborOptions::dfPower

Weighting power.

## ◆ dfRadius

double GDALGridInverseDistanceToAPowerNearestNeighborOptions::dfRadius

The radius of search circle.

## ◆ dfSmoothing

double GDALGridInverseDistanceToAPowerNearestNeighborOptions::dfSmoothing

Smoothing parameter.

## ◆ nMaxPoints

GUInt32 GDALGridInverseDistanceToAPowerNearestNeighborOptions::nMaxPoints

Maximum number of data points to use.

Do not search for more points than this number.

## ◆ nMaxPointsPerQuadrant

GUInt32 GDALGridInverseDistanceToAPowerNearestNeighborOptions::nMaxPointsPerQuadrant

Maximum number of data points to use for each of the 4 quadrants.

Do not search for more points than this number.

## ◆ nMinPoints

GUInt32 GDALGridInverseDistanceToAPowerNearestNeighborOptions::nMinPoints

Minimum number of data points to use.

If less amount of points found the grid node considered empty and will be filled with NODATA marker.

## ◆ nMinPointsPerQuadrant

GUInt32 GDALGridInverseDistanceToAPowerNearestNeighborOptions::nMinPointsPerQuadrant

Minimum number of data points to use for each of the 4 quadrants.

If less amount of points found the grid node considered empty and will be filled with NODATA marker.

## ◆ nSizeOfStructure

size_t GDALGridInverseDistanceToAPowerNearestNeighborOptions::nSizeOfStructure

Added in GDAL 3.6 to detect potential ABI issues. Should be set to sizeof(GDALGridInverseDistanceToAPowerNearestNeighborOptions)

The documentation for this struct was generated from the following file:

- gdal_alg.h